# Docker Ingress Stack

This project provides the foundation for running the ingress stack, as it is
used for Docker Stack based platforms, on a local development machine.

# Setup macOS

Inital setup, install wildcard cert *.docker.localhost with mkcert

```
./first-run-osx
```

# Usage

- Install GnuTLS Utils[^gnutls] and GNU Make
- `make`
- `docker-compose up -d`
- Make sure `traefik.docker.localhost` and `graylog.docker.localhost` resolve to `127.0.0.1` (extra steps for macOS)
- Copy `bonfire/logs` to a directory on your `PATH`
- Run `logs` like you would run `bonfire`

`logs` always runs bonfire with the `keyring` option, saving all credentials to a persistent Docker volume.

[^gnutls]: gnutls-utils on Fedora / Red Hat, gnutls-bin on Debian / Ubuntu, gnutls on macOS (brew)
